gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Report messages of minor importance to the user.

The Statusbar widget displays textual messages to the user. Statusbars are typically placed at the bottom of application s.

A Statusbar may provide a regular commentary of the application's status (as is usually the case in a web browser, for example), or may be used to simply output a message when the status changes, (when an upload is complete in an FTP client, for example).

As a finishing touch to the StatusBar, it can have a "resize grip" added in the lower right corner. This is a triangular area that can be clicked on to resize the window containing the statusbar.

Status bars in Gtk maintain a stack of messages. The message at the top of the each bar's stack is the one that will currently be displayed.

Any messages added to a statusbar's stack must specify a that is used to uniquely identify the source of a message. This can be generated with , given a message. Note that messages are stored in a stack, and when choosing which message to display, the stack structure is adhered to, regardless of the context identifier of a message.

Messages are added to the bar's stack with , and the message at the top of the stack can be removed using . A message can be removed from anywhere in the stack if it's was recorded at the time it was added. This is done using .

`using System; using Gtk; class StatusbarSample { Statusbar sb; const int id = 1; int count; static void Main () { new StatusbarSample (); } StatusbarSample () { Application.Init (); count = 0; Window win = new Window ("StatusbarSample"); win.DeleteEvent += new DeleteEventHandler (OnWinDelete); win.SetDefaultSize (150, 100); VBox vbox = new VBox (false, 1); win.Add (vbox); Button btn = new Button ("Add to counter"); btn.Clicked += new EventHandler (OnButtonClicked); vbox.Add (btn); sb = new Statusbar (); sb.Push (id, "Welcome!"); sb.HasResizeGrip = false; vbox.Add (sb); win.ShowAll (); Application.Run (); } void OnButtonClicked (object obj, EventArgs args) { count ++; string message = String.Format ("Pushed {0} times", count); sb.Pop (id); sb.Push (id, message); } void OnWinDelete (object obj, DeleteEventArgs args) { Application.Quit (); } }` Gtk.HBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 `` `` Pushes a new message onto the stack. The new message's context ID, as generated by . The message to display to the user. The message's new message id for use with .

  Note that the and the returned are equivalent and are both required for to work.

- Method
  System.Void `` `` Forces the removal of a message from a statusbar's stack. A context identifier. A message identifier.

  The exact and must be specified.

- Method
  System.Void `` Removes the message at the top of the Statusbar's stack. A context identifier
- Method
  System.UInt32 `` Generates an identifier based on the . A description of the message you want to generate an identifier for. An integer identifier
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Statusbar, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new status bar.
  A new Statusbar

  Creates a new Statusbar with an empty message stack.

- Property
  System.Boolean Manage whether this Statusbar has a resizable grip over its bottom right corner. Set to to render a resize grip over the Statusbar, otherwise. Whether or not there is currently a resize grip on the Statusbar.
- Event
  Gtk.TextPushedHandler An event that is fired when a message is pushed onto the Statusbar's message stack using the method.

  Connect to this event with a .

- Event
  Gtk.TextPoppedHandler An event that is fired when a message is popped off the Statusbar's message stack using the method.

  Connect to this event with a .

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.